diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 9328ad3..1ddfe63 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -5859,6 +5859,13 @@ recoveryStopsHere(XLogRecord *record, bool *includeThis)
 			*includeThis = false;
 	}
 
+	if (stopsHere && !reachedConsistency)
+	{
+		stopsHere = false;
+		ereport(LOG,
+				(errmsg("recovery target reached, yet recovery not consistent, continuing...")));
+	}
+
 	if (stopsHere)
 	{
 		recoveryStopXid = record->xl_xid;
